<?php
/**
 * Coal Games Project Installer
 *
 * Do we really need an installer right now? Maybe.
 *
 * To lock the installer
 */

define('CG_INSTALLING', true);
define('IN_CG', true);

/* Check if the installer lock is active */
if (file_exists('./lock')) {
	die('<h1 style="text-align:center;">The installer <code>lock</code> file is active.' . "\n" . 'Please delete the lock file from the admin directory (usually <code>cg-admin/lock</code>)</h1>');
}

/** Load Coal Games*/
require_once(dirname(dirname(__FILE__)) . '/cg-load.php');



/**
 * Find which step we are on
 */
if (isset($_GET['step']))
$step = $_GET['step'];
else
$step = 0;

ob_start();
/**
 * Display install header.
 *
 * This header is used in the installation pages.
 *
 * @since unknown
 * @package WordPress
 * @subpackage Installer
 */
function display_header() {
	header( 'Content-Type: text/html; charset=utf-8' );
	?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Coal Games Concept installation</title>
<style>
<?php include('./css/install.css'); ?>
</style>
</head>
<body>
<h1 id="logo">Coal Games Alpha</h1>

<?php
}//end function display_header();

$install_errors = array();
function display_setup_form() {
	global $install_errors;

	?>
<p style="test-align: center;"><strong>ERROR</strong></p>
	<?php
	if (!empty($install_errors)) {
		foreach ($install_errors as $install_errors) {
			echo '<p style="color:red">' . $install_errors . '</p>';
		}
	}?>
<form id="setup" method="post" action="install.php?step=2">
<table class="form-table">
	<tbody>
		Since this is an alpha, true settings are not implemented yet. There
		is currently no way to edit the settings except by hand in
		cg-settings.php. The parts not implemented are probably because
		editing cg-settings.php is not complete.
	</tbody>
	<tr></tr>
	<tr>
		<h2>Important Settings</h2>
	</tr>
	<tr>
		<th scope="row"><label for="site_url">Site URL</label></th>
		<td><input name="site_url" type="text" id="site_url" size="25"
			disabled="disabled"
			value="Not Implemented Yet<?php echo ( isset($_POST['site_url']) ? esc_attr($_POST['site_url']) : '' ); ?>" /></td>
	</tr>
	<tr>
		<th scope="row"><label for="admin_username">Admin Username</label></th>
		<td><input name="admin_username" type="text" id="admin_username"
			size="25"
			value="admin<?php echo ( isset($_POST['admin_username']) ? esc_attr($_POST['admin_username']) : '' ); ?>" /></td>
	</tr>
	<tr>
		<th scope="row"><label for="admin_password">Administrator's password</label></th>
		<td><input name="admin_password" type="text" id="admin_password"
			size="25"
			value="<?php echo ( isset($_POST['admin_password']) ? esc_attr($_POST['admin_password']) : '' ); ?>" /></td>
	</tr>
	<tr>
		<th scope="row"><label for="admin_password_confirm">Confirm Password</label></th>
		<td><input name="admin_password" type="text" id="admin_password"
			size="25"
			value="<?php echo ( isset($_POST['admin_password']) ? esc_attr($_POST['admin_password']) : '' ); ?>" /></td>
		Confirm password so that the correct one is entered
	</tr>
	<tr>
		<th scope="row"><label for="admin_email">Your E-mail</label></th>
		<td><input name="admin_email" type="text" id="admin_email" size="25"
			value="<?php echo ( isset($_POST['admin_email']) ? esc_attr($_POST['admin_email']) : '' ); ?>" /><br />
		Double-check your email address before continuing.</td>
	</tr>
	<tr>
		<th scope="row"><label for="replace_me_12345">replace_me_12345 to add
		a new field</label></th>
		<td><input name="replace_me_12345" type="text" id="replace_me_12345"
			size="25"
			value="<?php echo ( isset($_POST['replace_me_12345']) ? esc_attr($_POST['replace_me_12345']) : '' ); ?>" /></td>
	</tr>
</table>
<p class="step"><input type="submit" name="Submit"
	value="Install WordPress" class="button" /></p>
</form>
	<?php
}

switch($step) {
	case 0:
	case 1: // in case people are directly linking to this
		display_header();
		?>
<h1>Welcome</h1>
<p>Welcome to the famous five minute WordPress installation process
ported into Coal Games! You may want to browse the ReadMe documentation
at your leisure. Otherwise, just fill in the information below and
you&#8217;ll be on your way to using the most extendable and powerful
personal publishing platform in the world ... that is ... ported into
Coal Games.</p>
<h2 class="step"><a href="install.php?step=1">First Step</a></h2>

<h1>Information Needed</h1>
<p>Please provide the following information. Don&#8217;t worry, you can
always change these settings later.</p>



		<?php
		display_setup_form();
		break;
case 2:
	if ( !empty($cgsql->error) )
	die($cgsql->error->get_error_message());

	display_header();
	// Fill in the data we gathered
	$admin_username = isset($_POST['admin_username']) ? stripslashes($_POST['admin_username']) : '';
	$admin_email = isset($_POST['admin_email']) ? stripslashes($_POST['admin_email']) : '';

	// check e-mail address
	$error = false;
	if (empty($admin_email)) {
		// TODO: poka-yoke
		display_setup_form('you must provide an e-mail address.');
		$error = true;
	} else if (!is_email($admin_email)) {
		// TODO: poka-yoke
		display_setup_form('That isn&#8217;t a valid e-mail address.  E-mail addresses look like: <code>username@example.com</code>');
		$error = true;
	}

	if ( $error === false ) {
		$cgsql->show_errors();
		extract($result, EXTR_SKIP);
		?>

<h1>Success!</h1>

<p>Coal Games has been installed. Were you expecting more steps? Sorry
to disappoint.</p>

<table class="form-table">
	<tr>
		<th>Username</th>
		<td><code>admin</code></td>
	</tr>
	<tr>
		<th><?php _e('Password'); ?></th>
		<td><?php if ( !empty( $password ) ) {
			echo '<code>'. $password .'</code><br />';
		}
		echo '<p>'. $password_message .'</p>'; ?></td>
	</tr>
</table>

<p class="step"><a href="../wp-login.php" class="button"><?php _e('Log In'); ?></a></p>

		<?php
	}
	break;
}
?>
<!--script type="text/javascript">var t = document.getElementById('weblog_title'); if (t){ t.focus(); }</script>-->
</body>
</html>
<?php echo '<!--Memory usage (where): ' . (memory_get_usage() / 1000) . ' kb-->';

ob_end_flush();