<?php
/*
 * Coal Games
 *
 * @package Coal Games
 */

/**
 * If file was accessed directly, exit to prevent problems.
 * First, it tries to go to cg-directfile.php. If that file
 * is not found, then it just displays a generic message.
 * This is so that you can place a link or other message on
 * a file so that if a search engine linked to it, you could
 * get a link back to your main site.
 */
if ( !defined('IN_CG') ) {
	if ( !( @include( '../../../cg-directfile.php' ) ) ) {
		die("File can not be accessed directly");
	}
}

require THEME_PATH . 'header.php';
?>
<div id="content">
<?php require THEME_PATH . 'user_sidebar.php';?>
<div id="ucpc">
<form action="<?php echo cg_url('user_cp.change_password');?>" method="post" class="cgform longlabel hugelabel">

    <p><label>Old password</label><input type="password" name="opass" size="30" /></p>
    <p>Please enter your old password to confirm your ownership of this account.</p>
    <?php echo esc_attr(cg_form_error( 'opass' )); ?>

    <p><label>Password</label><input type="password" name="password1" size="30" maxlength="<?php echo $cg_settings['user.max_password']; ?>" /></p>
    <p>Your password must be a minimum of <?php echo $cg_settings['user.min_username']; ?> characters.</p>
    <?php echo esc_attr(cg_form_error( 'password1' )); ?>

    <p><label>Confirm Password</label><input type="password" name="password2" size="30" maxlength="<?php echo $cg_settings['user.max_password']; ?>" /></p>
    <p>Please type your password again to make sure it is correct.</p>
    <?php echo esc_attr(cg_form_error( 'password2' )); ?>

    <p><input type="hidden" name="submittedcpass" value="TRUE" /></p>
    <div><input type="submit" name="submit" value="Register" /></div>
    
</form>
</div>
</div>
<?php
require THEME_PATH . 'footer.php';
