<?php
/*
 * Coal Games
 *
 * @package Coal Games
 */

/**
 * If file was accessed directly, exit to prevent problems.
 * First, it tries to go to cg-directfile.php. If that file
 * is not found, then it just displays a generic message.
 * This is so that you can place a link or other message on
 * a file so that if a search engine linked to it, you could
 * get a link back to your main site.
 */
if ( !defined('IN_CG') ) {
	if ( !( @include( '../../../cg-directfile.php' ) ) ) {
		die("File can not be accessed directly");
	}
}

require THEME_PATH . 'header.php';
?>
<div id="content">

<h2>Forgot Password Form</h2>
<form action="<?php echo cg_url('user_cp.forgot_password');?>" method="post" class="cgform longlabel hugelabel">

    <p><label>Username or Email</label><input type="text" name="usernameemail" value="<?php echo esc_attr(cg_form_value( 'usernameemail' )); ?>" size="30" /></p>
    <p>Please enter either your username or email so that we know who to send the password reset instructions to.</p>
    <p class="error"><?php echo esc_attr(cg_form_error( 'usernameemail' )); ?></p>
    <p><input type="hidden" name="submittedfpass" value="TRUE" /></p>
    <p>Doing this will send an email to the email entered during registration. If the email was fake, then the password can not be reset.</p>
    <input type="submit" name="submit" value="Reset Password" />
    
</form>
</div>
<?php
require THEME_PATH . 'footer.php';
