<?php
/**
 * If file was accessed directly, exit to prevent problems.
 * First, it tries to go to cg-directfile.php. If that file
 * is not found, then it just displays a generic message.
 * This is so that you can place a link or other message on
 * a file so that if a search engine linked to it, you could
 * get a link back to your main site.
 */
if ( ! defined ( 'IN_CG' ) ) {
	if ( ! (@include ('../../../cg-directfile.php')) ) {
		die ( "File can not be accessed directly" );
	}
}

require THEME_PATH . 'header.php';
?>

<div id="content">
	<div id="loginpage">
		<form action="<?php echo cg_url ( 'login' );?>" method="post" class="cgform longlabel hugelabel">
			<p><label for="username">Username</label><input type="text" name="username" id="username" maxlength="<?php echo $cg_settings['user.max_username'];?>" /></p>
				<p class="error"><?php echo esc_attr(cg_form_error( 'username' ));?></p>
			<p><label for="password">Password</label><input type="password" name="password" id="password" maxlength="<?php echo $cg_settings['user.max_username'];?>" /></p>
				<p class="error"><?php echo esc_attr(cg_form_error( 'password' ));?></p>
			<?php echo esc_attr(cg_form_error( 'status' ));?>
			<p><input type="hidden" name="submittedlogin" value="TRUE" /></p>
			<div><input type="submit" name="submit" value="Login" /></div>
		</form>
		<p>If you don&apos;t have an account, you may <u><a href="<?php echo cg_url('register');?>" title="Register">Register one here</a></u>.</p>
		<p><a href="<?php echo cg_url('forgot_password');?>">Forgot your password?</a></p>
	</div>
</div>


<?php
require THEME_PATH . 'footer.php';