<?php
/*
 * Coal Games
 * Uses a vertical align hack from http://stylizedweb.com/2008/02/01/vertical-align-div/
 *
 * @package Coal Games
*/
if ( !defined('IN_CG') ) {
	if ( !( @include( '../../../cg-directfile.php' ) ) ) {
		die("File can not be accessed directly");
	}
}

if (!isset($cg_redirect_url)) {
	$cg_redirect_url = SITE_URL;
}
/**
 * Not only does it use meta tag to redirect the user, it also uses http headers
 * so that it will have a higher chance of redirect.
 */
header('refresh: ' . $cg_settings['misc.redirect_time'] . '; url=' . $cg_redirect_url);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="refresh" content="<?php echo $cg_settings['misc.redirect_time'];?>;URL=<?php echo $cg_redirect_url;?>" />
		<title>Coal Games Project</title>
		<style type="text/css">
			html, body {
                height: 100%;
                margin: 0;
                padding: 0;
				background:#bdf;
            }
			* {
				margin:0px auto;
				padding:0;
			}
			div#shim {
				visibility: hidden;
				width: 100%;
				height: 40%;
				margin-top: -200px;
				float: left;
			}
			div#wrapper {
				width: 800px;
				min-height:200px;
				height:auto !important;
				height:200px;
				clear: both;
				font-size:1.5em;
				border:5px solid #a5cbf2;
				position: relative;
				top: -200px;
				margin:0 auto;
				/* IE4ever Hack: Hide from IE4 **/
				position: static;
				/** end hack */
			}
		</style>
	</head>
	<body>
		<div id="shim"></div>
		<div id="wrapper">
			<?php
			if (isset($cg_redirect_message)) {
				echo $cg_redirect_message;
			}
			?>
			<p>You should be automatically redirected in less than a few seconds.</p><p><a href="<?php echo $cg_redirect_url;?>">Click here if you are not automatically redirected within a few seconds</a></p>
		</div>
	</body>
</html>
