<?php
/**
 * If file was accessed directly, exit to prevent problems.
 * First, it tries to go to cg-directfile.php. If that file
 * is not found, then it just displays a generic message.
 * This is so that you can place a link or other message on
 * a file so that if a search engine linked to it, you could
 * get a link back to your main site.
 */
if ( !defined('IN_CG') ) {
	if ( !( @include( '../../../cg-directfile.php' ) ) ) {
		die("File can not be accessed directly");
	}
}

require THEME_PATH . 'header.php';
?>

    <div id="highlightcontainer">
        <div id="highlight">
            <h1>Register</h1>
            <br /><p>You can register for an account here for free. You must be over the age of 13 to register.</p>
        </div>
    </div>
<div id="content">

    <form action="<?php echo cg_url('register');?>" method="post" class="cgform longlabel hugelabel">

    <p><label>Username</label><input type="text" name="username" size="30" maxlength="<?php echo $cg_settings['user.max_username'];?>" value="<?php echo esc_attr(cg_form_value( 'username' ));?>" /></p>
    <p>You may use only letters, numbers, and the underscore. Must be between <?php echo $cg_settings['user.min_username'] . ' and ' . $cg_settings['user.max_username'];?> characters long.</p>
    <p></p>
	<p class="error"><?php echo esc_attr(cg_form_error( 'username' )); ?></p>

    <p><label>Password</label><input type="password" name="password1" size="30" maxlength="<?php echo $cg_settings['user.max_password']; ?>" /></p>
    <p>Your password must be a minimum of <?php echo $cg_settings['user.min_username']; ?> characters.</p>
    <p class="error"><?php echo esc_attr(cg_form_error( 'password1' )); ?></p>

    <p><label>Confirm Password</label><input type="password" name="password2" size="30" maxlength="<?php echo $cg_settings['user.max_password']; ?>" /></p>
    <p>Please type your password again to make sure it is correct</p>
    <p class="error"><?php echo esc_attr(cg_form_error( 'password2' )); ?></p>

    <p><label>Email Address</label><input type="text" name="email1" size="30" maxlength="255" value="<?php echo esc_attr(cg_form_value( 'email1' ));?>" /></p>
    <p>Must be a valid email address. It will never be shared with anyone else and this password is not avaliable to the internet.</p>
    <p>We will never send spam.</p>
    <p class="error"><?php echo esc_attr(cg_form_error( 'email1' )); ?></p>

    <p><label>Confirm Email</label><input type="text" name="email2" size="30" maxlength="255" value="<?php echo esc_attr(cg_form_value( 'email2' ));?>" /></p>
    <p>Please confirm your email to make sure it is correct.</p>
    <p class="error"><?php echo esc_attr(cg_form_error( 'email2' )); ?></p>

<p>You must be 13 or older to register on <?php echo $cg_settings['site_name'];?></p>
    <p><input type="checkbox" name="over13" <?php echo esc_attr(cg_form_value( 'over13' ));?>/><span> I am over the age of 13.</span></p>
    
	<p class="error"><?php echo esc_attr(cg_form_error( 'over13' )); ?></p>

    <p><input type="hidden" name="submittedregister" value="TRUE" /></p>
    <p>Your email will not be shared with anyone and will never be avaliable on the internet. This is only used to recover your password.</p>
    <div><input type="submit" name="submit" value="Register" /></div>
    

</form>
</div>


<?php
require THEME_PATH . 'footer.php';