<?php
/*
 * Coal Games
 *
 * @package Coal Games
 */

/**
 * If file was accessed directly, exit to prevent problems.
 * First, it tries to go to cg-directfile.php. If that file
 * is not found, then it just displays a generic message.
 * This is so that you can place a link or other message on
 * a file so that if a search engine linked to it, you could
 * get a link back to your main site.
 */
if ( !defined('IN_CG') ) {
	if ( !( @include( '../../../cg-directfile.php' ) ) ) {
		die("File can not be accessed directly");
	}
}

require THEME_PATH . 'header.php';
?>
<div id="content">

<h2>Forgot Password Form</h2>
<form action="<?php echo $reset_password_form_url;?>" method="post" class="cgform longlabel hugelabel">

    <p><label>New Password</label><input type="password" name="password1" size="<?php echo $cg_settings['user.max_password']; ?>" /></p>
    <p>Please enter either in your new password.</p>
    <p class="error"><?php echo esc_attr(cg_form_error( 'password1' )); ?></p>
    <p><label>Confirm Password</label><input type="password" name="password2" size="<?php echo $cg_settings['user.max_password']; ?>" /></p>
    <p>Please type in your password again to make sure it is correct.</p>
    <p class="error"><?php echo esc_attr(cg_form_error( 'password2' )); ?></p>
    <p><input type="hidden" name="submittedrpass" value="TRUE" /></p>
    <input type="submit" name="submit" value="Reset Password" />
    
</form>
</div>
<?php
require THEME_PATH . 'footer.php';
