<?php
/**
 * This is the file that contains ffunctions for the template and permalinking stuff (SEO)
 */

/**
 * This returns the right url.
 * This is still in development so it will still be very crummy and not support pretty urls.
 * The url's are semi-hardcoded.
 *
 * @param mixed $type
 * @param mixed $pagename
 * @since alpha
 */
function cg_url($type, $pagename = '') {
	global $cg_url;
	switch ($type) {
		case 'listgames': // listgames
			return SITE_URL . $cg_url['game_page'];
			break;
		case 'playgame': // playgame
			return SITE_URL . $cg_url['game_page'] . '?' . $cg_url['game_get'] . '=' . $pagename;
			break;
		case 'register':
			return SITE_URL . $cg_url['user_page'] . $cg_url['register'];
			break;
		case 'login' :
			return SITE_URL . $cg_url['user_page'] . $cg_url['login'];
			break;
		case 'logout' : // logout
			return SITE_URL . $cg_url['user_page'] . $cg_url['logout'];
			break;
		case 'user_cp' : // User Control Panel
			return SITE_URL . $cg_url['user_page'] . $cg_url['usercp'];
			break;
		case 'user_cp.change_password' : // Change Password
			return SITE_URL . $cg_url['user_page'] . $cg_url['change_password'];
			break;
		case 'user_cp.change_email' : // Change Email
			return SITE_URL . $cg_url['user_page'] . $cg_url['change_email'];
			break;
		case 'forgot_password' : // Change Password
			return SITE_URL . $cg_url['user_page'] . $cg_url['forgot_password'];
			break;
		case 'category' : // Category
			return SITE_URL . $cg_url['category_page'] . '?' . $cg_url['category_get'] . '=' . $pagename;
			break;
		case 'reset_password' : // Change Password
			return SITE_URL . $cg_url['user_page'] . $cg_url['reset_password'] . $pagename;
			break;
	}
	return '';
}

/**
 * Returns a title to use in the header
 *
 * @param mixed $pagename
 * @since alpha
 */
function cg_title () {
	global $cg_page_title;
	global $cg_title;
	global $cg_query;
	switch ($cg_query) {
		case 3:
			$title = $cg_title['playgame.title'];
			$title = str_replace('{game_title}', $GLOBALS['cg_game']['game_title'], $title);
			return $title;
			break;
		default:
			return $GLOBALS['cg_settings']['site_name'];
	}

}

/**
 * Returns the time in a very nice way.
 *
 * This function only goes up to days since it would be very time consuming
 * to convert into months and years and it is also easier for the end user
 * to see how long ago the time was.
 *
 * @since string May 27 2009
 * @param int $time
 * @param string $tDays Text to use for Days
 * @param string $tHours Text to use for Hours
 * @param string $tMinutes Text to use for Minutes
 * @param string $tSeconds Text to use for Seconds
 * @param string $tDay Text to use for Day (singular)
 * @param string $tHour Text to use for Hour (singular)
 * @param string $tMinute Text to use for Minute (singular)
 * @param string $tSecond Text to use for Second (singular)
 */
function timeformat($time, $tDays = 'days', $tHours = 'hours', $tMinutes = 'minutes', $tSeconds = 'seconds', $tDay = 'day', $tHour = 'hour', $tMinute = 'minute', $tSecond = 'second') {
	// TODO: Make the others more deluze. (I do not know what I wrote here (:, it was 7 months ago )
	$time *= 1;
	if ($time < 60) { // Seconds -- Less than a minute
		return $time . ' seconds';
	} elseif ($time < 3600) { // Minutes -- Less than an hour
		$mins = $time / 60;
		$secs = $time % 60;
		settype($mins,'int');
		if ($secs == 0) {
			return $mins . ' ' . $tMinutes;
		} elseif ($secs == 1) {
			return $mins . ' ' . $tMinutes . ' and ' . $secs . ' ' . $tSecond;
		} elseif ($secs < 10) {
			return $mins . ' ' . $tMinutes . ' and ' . $secs . ' ' . $tSeconds;
		} else {
			return $mins . ' ' . $tMinutes . ', ' . $secs . ' ' . $tSeconds;
		}
	} elseif ($time < 86400) { // Hours -- Less than 24 Hours
		$hours = $time / 3600;
		settype($hours,'int');
		$sHours = $hours * 3600;
		$mins = ($time - $sHours) / 60;
		settype($mins,'int');
		$seconds = $time - ($mins * 60) - ($hours * 3600);
		return $hours . ' ' . $tHours . ', ' . $mins . ' ' . $tMinutes . ', ' . $seconds . ' ' . $tSeconds;
	} else { // Days
		$days = $time / 86400;
		settype($days,'int');
		$sDays = $days * 86400;
		$hours = ($time - $sDays) / 3600;
		settype($hours,'int');
		$sHours = $hours * 3600;
		$mins = ($time - $sDays - $sHours) / 60;
		settype($mins,'int');
		$sMins = $mins * 60;
		$seconds = $time - ($sDays + $sHours + $sMins);
		return $days . ' ' . $tDays . ', ' . $hours . ' ' . $tHours . ', ' . $mins . ' ' . $tMinutes . ', ' . $seconds . ' ' . $tSeconds;
	}
}