<?php


$cg_form_errors = array ();
if ( ! isset ( $cg_post['username'] ) or $cg_post['username'] == '' ) {
	$cg_form_errors['username'] = 'You did not enter a username.';
} elseif ( ! isset ( $cg_post['username'][($cg_settings['user.min_username'] - 1)] ) ) {
	$cg_form_errors['username'] = 'Your username is too short. The minimum length is ' . $cg_settings['user.min_username'] . ' characters.';
} elseif ( isset ( $cg_post['username'][($cg_settings['user.max_username'] + 1)] ) ) {
	$cg_form_errors['username'] = 'Your username is too long. The maximum length is ' . $cg_settings['user.max_username'] . ' characters.';
} elseif ( ! preg_match ( $cg_settings['user.username_pattern'], $cg_post['username'] ) ) { // Username contains an invalid character
	$cg_form_errors['username'] = 'Your username contains one or more invalid characters.';
} else {
	if ( $cgsql->num_query ( 'SELECT null FROM `' . USERS_TABLE . '` WHERE `username`=\'' . $cgsql->escape ( $cg_post['username'] ) . "'" ) >= 1 ) {
		$cg_form_errors['username'] = 'This username has already been used.';
	}
}

if ( empty ( $cg_post['password1'] ) && empty ( $cg_post['password2'] ) ) {
	// If the user entered NO passwords at all
	$cg_form_errors['password1'] = 'Your did not enter a password.';
	$cg_form_errors['password2'] = 'You did not enter a confirmation password.';
} elseif ( ! isset ( $cg_post['password1'] ) or $cg_post['password1'] == '' ) {
	// If the user entered just password 2
	$cg_form_errors['password1'] = 'You did not enter a password.';
} elseif ( ! isset ( $cg_post['password2'] ) or $cg_post['password2'] == '' ) {
	// If the user entered just password 1
	$cg_form_errors['password2'] = 'You did not enter a confirmation password.';
} elseif ( ! isset ( $cg_post['password1'][($cg_settings['user.min_password'] - 2)] ) ) {
	// Check if the password is long enough
	$cg_form_errors['password1'] = 'Your password is too short.';
} elseif ( isset ( $cg_post['password1'][($cg_settings['user.max_password'] + 1)] ) ) {
	// Check if the password is too long
	$cg_form_errors['password1'] = 'Your password is too long.';
} elseif ( $cg_post['password1'] != $cg_post['password2'] ) {
	// Passwords need to match since it is to make sure the user entered the password right
	$cg_form_errors['password1'] = 'Your passwords do not match.';
}

/**
 * Kill seven stones with one bird :) (Its good to have fun with some comments)
 */
if ( empty ( $cg_post['email1'] ) && empty ( $cg_post['email2'] ) ) {
	$cg_form_errors['email1'] = 'Your did not enter an email.';
	$cg_form_errors['email2'] = 'You did not enter a confirmation email.';
} elseif ( ! isset ( $cg_post['email1'] ) or $cg_post['email1'] == '' ) {
	$cg_form_errors['email1'] = 'You did not enter an email.';
} elseif ( ! isset ( $cg_post['email2'] ) or $cg_post['email2'] == '' ) {
	$cg_form_errors['email2'] = 'You did not enter a confirmation email.';
} elseif ( strtolower($cg_post['email1']) != strtolower($cg_post['email2']) ) { // TODO: Optimize
	$cg_form_errors['email1'] = 'Your emails do not match.';
} elseif ( ! is_email ( $cg_post['email1'] ) ) {
	$cg_form_errors['email1'] = 'You did not enter a valid email address';
} elseif ( $cgsql->num_query ( 'SELECT null FROM `' . USERS_TABLE . '` WHERE `email`=\'' . $cgsql->escape($cg_post['email1']) . "'" ) >= 1 ) {
	$cg_form_errors['email1'] = 'The email address is already in use.';
}

if ( ! isset ( $cg_post['over13'] ) ) {
	$cg_form_errors['over13'] = 'You must be over the age of 13 to register';
	$cg_post['over13'] = '';
} else {
	$cg_post['over13'] = 'checked="checked"';
}
/**
 * If there are no errors, we can now enter in the stuff. Note that
 * the passwords are hashed here instead of the top because of performance
 * issues. Usernames can stay as their capitalization since users may
 * want to have different capitalization such as Camel Casing.
 */
if ( empty ( $cg_form_errors ) ) {
	$cg_insert['username'] = $cgsql->escape ( $cg_post['username'] );
	$cg_insert['password'] = sha1 ( $cg_post['password1'] );
	$cg_insert['email'] = $cgsql->escape ( strtolower ( $cg_post['email1'] ) );
	$registration_query = 'INSERT INTO `' . USERS_TABLE . '` (`user_id`, `username`, `password`, `email`)
	VALUES (NULL
	, \'' . $cg_insert['username'] . '\'
	, \'' . $cg_insert['password'] . '\'
	, \'' . $cg_insert['email'] . '\')';
	$cgsql->simple_query ( $registration_query );
	$userdata = $cgsql->get_row ( 'SELECT * FROM `' . USERS_TABLE . '` WHERE `username`=\'' . $cg_insert['username'] . "'" );
	if ( $cgsql->num_query ( 'SELECT null FROM `' . USERS_TABLE . '` WHERE `username`=\'' . $cg_insert['username'] . '\'' ) == 1 ) {
		$userdata_insert = 'INSERT INTO `' . USERDATA_TABLE . '`
		(`user_id`, `today_on`, `registered`, `total_active`, `last_active`, `usergroup_id`, `lifetime_points`,`points`, `original_username`, `level`)
		  VALUES (' . $userdata['user_id'] . ', 0, ' . CG_TIME . ', 0, ' . CG_TIME . ', ' . $cg_settings['user.default_usergroup'] . ', ' . $cg_settings['points.register'] . ', ' . $cg_settings['points.register'] . ', \'' . $userdata['username'] . '\', 1)';
		$cgsql->simple_query ( $userdata_insert );
		if ( $cgsql->num_query ( 'SELECT null FROM `' . USERDATA_TABLE . '` WHERE `user_id`=\'' . $userdata['user_id'] . '\' LIMIT 1' ) == 1 ) {
			$registration_status = true;
			$cg_registration_success = true;
		} else {
			/**
			 * If inserting into USERDATA_TABLE is not working, then we will
			 * have to delete the entry in the USERS_TABLE.
			 */
			$cg_rollback_registration_query = 'DELETE FROM `' . USERS_TABLE . '` WHERE `user_id`=' . $userdata['user_id'] . ' LIMIT 1';
			$cgsql->simple_query($cg_rollback_registration_query);
			$registration_status = false;
		}
	}
}