<?php
/**
 * This handles the resetting of the passwords in reset_password. This is not the same as
 * forget_password. This actually changes the password
 */



if (!isset($cg_get['c'])) {
	// The GET for c is missing
	// c stands for confirm
	cg_die('The one or more URL parameters were missing or invalid.');
} elseif (!preg_match ( '/^[0-9a-f]{32}$/i', $cg_get['c'] ) ) {
	// Checks to see that the confirmation_id entered is a valid 32 decimal
	cg_die('The one or more URL parameters were missing or invalid.');
} else {
	// The GET for c is valid
	$cg_reset_password['confirm'] = $cg_get['c'];

}

if (!isset($cg_get['u'])) {

	cg_die('The one or more URL parameters were missing or invalid.');
} else {
	$cg_reset_password['user_id'] = $cg_get['u']*1;
	if ($cg_get['u'] < 0) {
		// Checks to see if the user_id is a positive number
		// Some other scripts might have a user registered at 0
		// If true, return an error message
		cg_die('The one or more URL parameters were missing or invalid.');
	}
	if ($cgsql->num_query('SELECT null FROM ' . CONFIRM_TABLE . ' WHERE
	   `user_id`=' . $cgsql->escape($cg_reset_password['user_id']) . '
	&& `confirmation_id`=\'' . $cgsql->escape($cg_get['c']) . '\' 
	&& `time`>' . (time()-86400) . '
	&& `type`=0') ) {
	// Checks that there is a valid confirmation_id for the right user_id
	// Also checks to see if it is a reset_password and has not expired
	// If we are in here, we can validate more stuff or potentially change the password

	if (isset($cg_post['submittedrpass'])) {
		// The form looks like it has been submitted
			
		if ( empty ( $cg_post['password1'] ) && empty ( $cg_post['password2'] ) ) {
			// If the user entered NO passwords at all
			$cg_form_errors['password1'] = 'Your did not enter a password.';
			$cg_form_errors['password2'] = 'You did not enter a confirmation password.';
		} elseif ( ! isset ( $cg_post['password1'] ) or $cg_post['password1'] == '' ) {
			// If the user entered just password 2 (the confirmation)
			$cg_form_errors['password1'] = 'You did not enter a password.';
		} elseif ( ! isset ( $cg_post['password2'] ) or $cg_post['password2'] == '' ) {
			// If the user entered just password 1 and not the confirmation
			$cg_form_errors['password2'] = 'You did not enter a confirmation password.';
		} elseif ( ! isset ( $cg_post['password1'][($cg_settings['user.min_password'] - 2)] ) ) {
			// The password is too short
			$cg_form_errors['password1'] = 'Your password is too short.';
		} elseif ( isset ( $cg_post['password1'][($cg_settings['user.max_password'] + 1)] ) ) {
			// The password is over the maximum length allowed
			$cg_form_errors['password1'] = 'Your password is too long.';
		} elseif ( $cg_post['password1'] != $cg_post['password2'] ) {
			// Passwords need to match since it is to make sure the user entered the password right
			$cg_form_errors['password1'] = 'Your passwords do not match.';
		}
			
		if (empty($cg_form_errors)) {
			// There are no errors in the form
			$cg_reset_password_error = false;
			// False denotes that there is no error.
			// This is included so that later on, a plugin will have the ability to change this
			// setting to true of false if they wanted to, therefore allowing flexibility.
		} else {
			// There are errors in the form
			$cg_reset_password_error = true;
			// True shows that it has errors
		}
			
		if (!$cg_reset_password_error) {
			// Looks like there is no error in the reset password.
			// Now safe to change the password

			// The query for the changing the password
			$cg_reset_password_query = 'UPDATE `' . USERS_TABLE . '`
				SET `password`=\'' . sha1($cg_post['password1']) . '\' WHERE `user_id`=' . $cg_get['u'];

			// Run the query to change the password
			$cgsql->simple_query($cg_reset_password_query);

			// Query for deleting the confirmation
			$cg_delete_confirm = 'DELETE FROM `' . CONFIRM_TABLE . '`
				WHERE `confirmation_id`=\'' . $cgsql->escape($cg_get['c']) . '\'
				&& `user_id`=' . $cg_get['u'];

			// Run the query for deleting the confirmation
			$cgsql->simple_query($cg_delete_confirm);

			// Set up the parameters for the redirect page
			$cg_redirect_message = 'Your password has been reset. You may now log in with your new credentials.';
			$cg_query = 7; // Redirect page
		}
			
	}
	} else {
		// The url seems to be valid but the reset_password has expired or never existed.
		cg_die('The reset password parameters are expired or never existed.');
	}
}

$reset_password_form_url = cg_url('reset_password', '&c=' . $cg_get['c'] . '&u=' . $cg_get['u'] . '');