<?php
/**
 * Functions for formatting various things such as outpot for HTMl
 */

/**
 * If file was accessed directly, exit to prevent problems.
 * First, it tries to go to cg-directfile.php. If that file
 * is not found, then it just displays a generic message.
 * This is so that you can place a link or other message on
 * a file so that if a search engine linked to it, you could
 * get a link back to your main site.
 *
 * This file SHOULD automatically edited by the installer and
 * by the administration panel but users can also edit this/
 * The installer is not yet created so the installer does not
 * use this file.
 */
if ( ! defined ( 'IN_CG' ) ) {
	if ( ! (@include ('./cg-directfile.php')) ) {
		die ( "File can not be accessed directly" );
	}
}

/**
 * Escaping for HTML attributes.
 *
 * @since Coal Games alpha
 *
 * @param string $text
 * @return string
 */
function esc_attr($text) {
	return htmlentities ( $text, ENT_QUOTES );
}

// normalize EOL characters and strip duplicate whitespace
function normalize_whitespace($str) {
	$str = trim ( $str );
	$str = str_replace ( "\r", "\n", $str );
	$str = preg_replace ( array ('/\n+/', '/[ \t]+/' ), array ("\n", ' ' ), $str );
	return $str;
}

/**
 * Properly strip all HTML tags including script and style
 *
 * @since WordPress 2.9.0
 *
 * @param string $string String containing HTML tags
 * @param bool $remove_breaks optional Whether to remove left over line breaks and white space chars
 * @return string The processed string.
 *//*
function wp_strip_all_tags($string, $remove_breaks = false) {
$string = preg_replace ( '@<(script|style)[^>]*?>.*?</\\1>@si', '', $string );
$string = strip_tags ( $string );

if ( $remove_breaks )
$string = preg_replace ( '/\s+/', ' ', $string );

return trim ( $string );
}*/

/**
 * Sanitize a string from user input or from the db
 *
 * check for invalid UTF-8,
 * Convert single < characters to entity,
 * strip all tags,
 * remove line breaks, tabs and extra whitre space,
 * strip octets.
 *
 * @since WordPress 2.9
 *
 * @param string $str
 * @return string
 */
function sanitize_text_field($str) {
	$filtered = wp_check_invalid_utf8 ( $str );

	if ( strpos ( $filtered, '<' ) !== false ) {
		$filtered = wp_pre_kses_less_than ( $filtered );
		$filtered = wp_strip_all_tags ( $filtered, true );
	} else {
		$filtered = trim ( preg_replace ( '/\s+/', ' ', $filtered ) );
	}

	$match = array ();
	while ( preg_match ( '/%[a-f0-9]{2}/i', $filtered, $match ) )
	$filtered = str_replace ( $match[0], '', $filtered );

	return apply_filters ( 'sanitize_text_field', $filtered, $str );
}

// TODO: Domain blacklisting
/**
 * Validates email address
 *
 * Validate an email address.
 * Provide email address (raw input)
 * Returns true if the email address has the email
 * address format and the domain exists.
 *
 * From: http://www.linuxjournal.com/article/9585
 *
 *
 *//*
function is_email($email, $checkdns = false) {
$isValid = true;
$atIndex = strrpos ( $email, "@" );
if ( is_bool ( $atIndex ) && ! $atIndex ) {
$isValid = false;
} else {
$domain = substr ( $email, $atIndex + 1 );
$local = substr ( $email, 0, $atIndex );
$localLen = strlen ( $local );
$domainLen = strlen ( $domain );
if ( $localLen < 1 || $localLen > 64 ) {
// local part length exceeded
$isValid = false;
} else if ( $domainLen < 1 || $domainLen > 255 ) {
// domain part length exceeded
$isValid = false;
} else if ( $local[0] == '.' || $local[$localLen - 1] == '.' ) {
// local part starts or ends with '.'
$isValid = false;
} else if ( preg_match ( '/\\.\\./', $local ) ) {
// local part has two consecutive dots
$isValid = false;
} else if ( ! preg_match ( '/^[A-Za-z0-9\\-\\.]+$/', $domain ) ) {
// character not valid in domain part
$isValid = false;
} else if ( preg_match ( '/\\.\\./', $domain ) ) {
// domain part has two consecutive dots
$isValid = false;
} else if ( ! preg_match ( '/^(\\\\.|[A-Za-z0-9!#%&`_=\\/$\'*+?^{}|~.-])+$/', str_replace ( "\\\\", "", $local ) ) ) {
// character not valid in local part unless
// local part is quoted
if ( ! preg_match ( '/^"(\\\\"|[^"])+"$/', str_replace ( "\\\\", "", $local ) ) ) {
$isValid = false;
}
} /*
if ( $isValid && ! (checkdnsrr ( $domain, "MX" ) || checkdnsrr ( $domain, "A" )) ) {
// domain not found in DNS
$isValid = false;
}*//*
}
return $isValid;
}*/

if (!defined('CG_ALTERNATIVE_EMAIL_VALIDATOR')) {
	function is_email($email, $checkdns = false) {
		if(filter_var($email, FILTER_VALIDATE_EMAIL)){
			return true;
		}
		else{
			return false;
		}
	}
} else {
	require INC_PATH . 'isemail.php';
}