<?php
/*
 * Coal Games
 * Function contains some important session stuff
 *
 * @package Coal Games
*/

/**
 * Changes the number of points. If there is no user_id specified, the current
 * user is used. If $remove_lifetime is not false, then we will also remove the
 * amount of lifetime points the user has. It is recommended not to remove
 * lifetime points.
 *
 * @global array $cg_session
 * @global array $cg_settings
 * @global object $cgsql
 * @param int $change
 * @param int $user_id
 */
function change_points($points, $user_id = 0, $remove_lifetime = false) {
	global $cg_session, $cg_settings, $cgsql;
	if ($user_id == 0) {
		$user_id = $cg_session['user_id'];
	}
	/**
	 * Resolve if we are adding or subtracting points.
	 */
	$points *= 1; //Convert points to integer
	if ($points > 0) { // We have positive amounts of points
		/**
		 * Create the query for adding points
		 */
		$cg_update_points_query = 'UPDATE `' . USERDATA_TABLE . '` SET `points`=`points`+' . $points . ', `lifetime_points`=`lifetime_points`+' . $points . ' WHERE `user_id`=\'' . $cg_session['user_id'] . '\' LIMIT 1';
		$cgsql->simple_query($cg_update_points_query);
		if ($cgsql->affected_rows() == 0) {
			echo 'error in updating points';
		}
	}
}