<?php
/**
 * Loads the template for Coal Games Project.
 *
 * Based off of WordPress' template-loader.php
 */

/**
 * If file was accessed directly, exit to prevent problems.
 * First, it tries to go to cg-directfile.php. If that file
 * is not found, then it just displays a generic message.
 * This is so that you can place a link or other message on
 * a file so that if a search engine linked to it, you could
 * get a link back to your main site.
 *
 * This file SHOULD automatically edited by the installer and
 * by the administration panel but users can also edit this/
 * The installer is not yet created so the installer does not
 * use this file.
 */
if ( ! defined ( 'IN_CG' ) ) {
	if ( ! (@include ('./cg-directfile.php')) ) {
		die ( "File can not be accessed directly" );
	}
}

if ( ! file_exists ( THEME_PATH ) ) {
	die ( '<h1 style="color:red">Theme could not be found</h1>' );
}

if ( ! defined ( 'CG_NO_THEMES' ) ) {
	switch ( $cg_query ) {
		case 1 : // List Games
			@(include THEME_PATH . 'listgames.php') or die ( '<h1>Could not load the template "listgames.php"</h1>' );
			break;
		case 2 : // 404 Page (Non-existent page)
			@(include THEME_PATH . '404.php') or die ( '<h1>Could not load the template "404.php" ... kinda ironic huh?</h1>' );
			break;
		case 3 : // Play Game (User is playing a valid game)
			@(include THEME_PATH . 'playgame.php') or die ( '<h1>Could not load the template "playgame.php"</h1>' );
			break;
		case 4 : // Front page
			@(include THEME_PATH . 'index.php') or die ( '<h1>Could not load the template "index.php"</h1>' );
			break;
		case 5 : // Registration page
			@(include THEME_PATH . 'register.php') or die ( '<h1>Could not load the template "register.php"</h1>' );
			break;
		case 6: // Login Page
			@(include THEME_PATH . 'login.php') or die ( '<h1>Could not load the template "login.php"</h1>' );
			break;
		case 7: // Redirection Page
			@(include THEME_PATH . 'redirect.php') or die ( '<h1>Could not load the template "redirect.php"</h1>' );
			break;
		case 8: // User CP Page
			@(include THEME_PATH . 'user_cp.php') or die ( '<h1>Could not load the template "user_cp.php"</h1>' );
			break;
		case 9: // Change Password page
			@(include THEME_PATH . 'change_password.php') or die ( '<h1>Could not load the template "change_password.php"</h1>' );
			break;
		case 10: // Forgot password
			@(include THEME_PATH . 'forgot_password.php') or die ( '<h1>Could not load the template "forgot_password.php"</h1>' );
			break;
		case 11: // Category
			@(include THEME_PATH . 'category.php') or die ( '<h1>Could not load the template "category.php"</h1>' );
			break;
		case 12: // Reset Password
			@(include THEME_PATH . 'reset_password.php') or die ( '<h1>Could not load the template "reset_password.php"</h1>' );
			break;
		case 13: // Change Email
			@(include THEME_PATH . 'change_email.php') or die ( '<h1>Could not load the template "change_email.php"</h1>' );
			break;
		case 0 : // No code was loaded
			//FALL THROUGH
		default : //If the code is not above, then dont do anything or maybe send an error message
			die ( 'No valid $cg_query code defined. Code: ' . $cg_query );
			break;
	}
}
ob_end_flush();