<?php
/**
 * Bootstrap file for setting the ABSPATH constant
 * and loading the wp-config.php file. The wp-config.php
 * file will then load the wp-settings.php file, which
 * will then set up the WordPress environment.
 *
 * If the wp-config.php file is not found then an error
 * will be displayed asking the visitor to set up the
 * wp-config.php file through the installation.
 *
 * Will also search for wp-config.php in WordPress' parent
 * directory to allow the WordPress directory to remain
 * untouched.
 *
 * Copyright (C) 2009  Joshua Li
 *
 * Coal Games Project is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Coal Games Project is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Coal Games Project.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @package CoalGames
 * @since The Beginning
 */

/**
 * If file was accessed directly, exit to prevent problems.
 * First, it tries to go to cg-directfile.php. If that file
 * is not found, then it just displays a generic message.
 * This is so that you can place a link or other message on
 * a file so that if a search engine linked to it, you could
 * get a link back to your main site.
 *
 * This file SHOULD automatically edited by the installer and
 * by the administration panel but users can also edit this/
 * The installer is not yet created so the installer does not
 * use this file.
 */
if ( ! defined ( 'IN_CG' ) ) {
	if ( ! (@include ('./cg-directfile.php')) ) {
		die ( "File can not be accessed directly" );
	}
}

/**
 * Set a debug session
 */
define ( 'CG_DEBUG', true );

/**
 * Start output buffering to prevent errors in headers
 */
ob_start();

/**
 * Log all the errors in this development environment
 */
define ( 'CG_DEBUG_LOG', true );

/** Define ABSPATH as this files directory */
define ( 'ABSPATH', dirname ( __FILE__ ) . '/' );
/*
 if ( defined('E_RECOVERABLE_ERROR') )
 error_reporting(E_ERROR | E_WARNING | E_PARSE | E_USER_ERROR | E_USER_WARNING | E_RECOVERABLE_ERROR);
 else
 error_reporting(E_ERROR | E_WARNING | E_PARSE | E_USER_ERROR | E_USER_WARNING);

 */
error_reporting ( E_ALL );

//require_once( ABSPATH . 'cg-includes/classes.php' );
require_once (ABSPATH . 'cg-includes/functions.php');

if ( file_exists ( ABSPATH . 'cg-config.php' ) ) {
	/** The config file resides in ABSPATH */
	require_once (ABSPATH . 'cg-config.php');
	/** Sets up WordPress vars and included files. */
	require_once (ABSPATH . 'cg-settings.php');
	require_once (ABSPATH . 'cg-core.php');

} /*elseif ( file_exists( dirname(ABSPATH) . '/cg-config.php' ) && ! file_exists( dirname(ABSPATH) . '/cg-settings.php' ) ) {
/** The config file resides one level above ABSPATH but is not part of another install*
require_once( dirname(ABSPATH) . '/cg-config.php' );

}*/elseif ( ! defined ( 'CG_INSTALLING' ) ) {

// A config file doesn't exist and user needs to be sent to the installer


// Set a path for the link to the installer
if ( strpos ( $_SERVER ['PHP_SELF'], 'cg-admin' ) !== false )
$path = '';
else
$path = 'cg-admin/';
if ( ! file_exists ( ABSPATH . 'cg-config.php' ) ) {
	die ( '<h1><a href="./' . $path . 'setup-config.php" title="Setup config">The config file does not exist, please set it up.</a></h1>' );

} /* else {
echo '<h1><a href="./' . $path . 'setup-config.php" title="install">The config file does not exist, please set it up.</a></h1>';
}*/

/*
 // Die with an error message
 require_once( ABSPATH . '/wp-includes/classes.php' );
 require_once( ABSPATH . '/wp-includes/functions.php' );
 require_once( ABSPATH . '/wp-includes/plugin.php' );
 $text_direction = "ltr";
 // wp_die(sprintf("There doesn't seem to be a <code>cg-config.php</code> file. I need this before we can get started. Need more help? <a href='http://codex.wordpress.org/Editing_wp-config.php'>We got it</a>. You can create a <code>wp-config.php</code> file through a web interface, but this doesn't work for all server setups. The safest way is to manually create the file.</p><p><a href='%ssetup-config.php' class='button'>Create a Configuration File</a>", array('text_direction' => $text_direction));
 }*/
} elseif ( defined ( 'CG_INSTALLING' ) ) {
	require ABSPATH . 'cg-settings.php';
	require ABSPATH . 'cg-core.php';
} else {
	die ( 'Loading Error' );
}

/**
 * To maintain compatibility with Wordpress, make the functions _e() and __() still avaliable
 */
function _e($string, $other = null) {
	echo $string . '<h1>Remove _e()</h1>';
}

/**
 * Also to maintain compatibility with WordPress. May be implemented later.
 * Two underscores are added to let us know that we should remove the function call.
 */
function __($string) {
	return $string . '__';
}
