-- phpMyAdmin SQL Dump
-- version 3.2.4
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Feb 02, 2010 at 10:36 PM
-- Server version: 5.1.30
-- PHP Version: 5.3.1

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

--
-- Database: `coalgames`
--

-- --------------------------------------------------------

--
-- Table structure for table `cg_categories`
--

CREATE TABLE IF NOT EXISTS `cg_categories` (
  `category_id` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,
  `category_name` varchar(255) NOT NULL,
  `category_slug` varchar(255) NOT NULL,
  PRIMARY KEY (`category_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=8 ;

--
-- Dumping data for table `cg_categories`
--

INSERT INTO `cg_categories` (`category_id`, `category_name`, `category_slug`) VALUES
(1, 'Action', 'action'),
(2, 'Adventure', 'adventure'),
(3, 'Puzzle', 'puzzle'),
(4, 'Shooter', 'shooter'),
(5, 'Sports', 'sports'),
(6, 'Strategy', 'strategy'),
(7, 'Other', 'Other');

-- --------------------------------------------------------

--
-- Table structure for table `cg_games`
--

CREATE TABLE IF NOT EXISTS `cg_games` (
  `game_id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `game_url` varchar(255) CHARACTER SET latin1 NOT NULL,
  `game_location` varchar(255) CHARACTER SET latin1 NOT NULL,
  `game_type` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '0 = internal and in the flashgames folder .. 2 = External flash file .. 3 = include a page',
  `game_title` varchar(255) CHARACTER SET latin1 NOT NULL,
  `game_description` varchar(255) CHARACTER SET latin1 NOT NULL,
  `game_long_description` text CHARACTER SET latin1 NOT NULL,
  `width` smallint(5) unsigned NOT NULL DEFAULT '640',
  `height` smallint(5) unsigned NOT NULL DEFAULT '480',
  `game_cat` tinyint(4) NOT NULL,
  `game_icon` varchar(255) CHARACTER SET utf8 COLLATE utf8_swedish_ci NOT NULL,
  `game_plays` mediumint(9) unsigned NOT NULL DEFAULT '0',
  `game_status` tinyint(3) unsigned NOT NULL DEFAULT '2' COMMENT '0=draft .. 1=pending .. 2=published',
  `game_added` int(11) NOT NULL,
  `game_updated` int(11) NOT NULL,
  PRIMARY KEY (`game_id`),
  UNIQUE KEY `game_url` (`game_url`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=8 ;

--
-- Dumping data for table `cg_games`
--

INSERT INTO `cg_games` (`game_id`, `game_url`, `game_location`, `game_type`, `game_title`, `game_description`, `game_long_description`, `width`, `height`, `game_cat`, `game_icon`, `game_plays`, `game_status`, `game_added`, `game_updated`) VALUES
(1, 'testgameurl', 'flashtest.swf', 0, 'Test Game Title', 'A test for the game.', 'An even longer description of the game goes here. Game_cat is 0 for default. This has a broken picture file to show what happens.', 640, 480, 7, '0', 151, 2, 1262047557, 1265182530),
(2, 'testgameurl2', 'flashtest2.swf', 0, 'Test Game Title2', 'A test for the game... the second one', 'An even longer description of the game goes here. Game_cat is 0 for default.', 640, 480, 7, '', 140, 2, 1262047557, 0),
(3, 'testgame3', 'resolutiontest.swf', 0, 'Test Game 3', 'This game is a resolution test. It must go past the content divs. <a href="http://www.coalgames.org/guidelines/flash-overflow/">Read more about hiding of the sides of the flash game.</a>', '', 1280, 720, 7, '', 8388682, 2, 0, 0),
(4, 'hardboiled', 'http://www.coalgames.com/flashgames/hardboiled.swf', 1, 'Hardboiled', 'A game from www.coalgames.com. It is called hardboiled', 'This is hotlinking to a game from coalgames.com', 640, 480, 3, 'hardboiled.jpg', 55, 2, 0, 0),
(5, 'bloons-tower-defense-3', 'http://www.coalgames.com/flashgames/btd3.swf', 2, 'Bloons Tower Defense 3', 'In this game, place towers strategically to pop the waves of balloons coming your way.', '', 640, 480, 6, '', 3, 2, 1265010715, 1265010715),
(6, 'dolphin-olympics-2', 'http://www.coalgames.com/flashgames/dolphin-olympics-2.swf', 1, 'Dolphin Olympics 2', 'Perform stunts, flips, tricks, and even fly up to space!', '', 640, 480, 5, '', 2, 2, 0, 0),
(7, 'monster-truck-maniac-2', 'http://www.coalgames.com/flashgames/monstertruck3.swf', 0, 'Monster Truck Maniac 2', 'Drive your monster truck and get through many different obstacles and different levels!', '', 640, 480, 2, '', 19, 2, 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `cg_sessions`
--

CREATE TABLE IF NOT EXISTS `cg_sessions` (
  `user_id` mediumint(8) unsigned NOT NULL,
  `session_hash` char(40) NOT NULL,
  `agent_hash` char(40) NOT NULL,
  `expire` int(10) unsigned NOT NULL,
  KEY `session_hash` (`session_hash`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `cg_sessions`
--

INSERT INTO `cg_sessions` (`user_id`, `session_hash`, `agent_hash`, `expire`) VALUES
(32, 'f3d5a82613de84ada10dbac3d45a1aec77c787fd', '5e284f6d04184dc19d29f41953ced95a7fbe437e', 1264917732);

-- --------------------------------------------------------

--
-- Table structure for table `cg_tasks`
--

CREATE TABLE IF NOT EXISTS `cg_tasks` (
  `tid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(120) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `file` varchar(30) NOT NULL DEFAULT '',
  `minute` varchar(200) NOT NULL DEFAULT '',
  `hour` varchar(200) NOT NULL DEFAULT '',
  `day` varchar(100) NOT NULL DEFAULT '',
  `month` varchar(30) NOT NULL DEFAULT '',
  `weekday` varchar(15) NOT NULL DEFAULT '',
  `nextrun` bigint(30) NOT NULL DEFAULT '0',
  `lastrun` bigint(30) NOT NULL DEFAULT '0',
  `enabled` int(1) NOT NULL DEFAULT '1',
  `logging` int(1) NOT NULL DEFAULT '0',
  `locked` bigint(30) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `cg_tasks`
--

INSERT INTO `cg_tasks` (`tid`, `title`, `description`, `file`, `minute`, `hour`, `day`, `month`, `weekday`, `nextrun`, `lastrun`, `enabled`, `logging`, `locked`) VALUES
(1, 'Example', 'An example of cron that runs every hour', 'hourlycleanup', '0', '*', '*', '*', '*', 1234567891, 1234567890, 1, 1, 0);

-- --------------------------------------------------------

--
-- Table structure for table `cg_userdata`
--

CREATE TABLE IF NOT EXISTS `cg_userdata` (
  `user_id` mediumint(8) unsigned NOT NULL,
  `today_on` tinyint(1) NOT NULL DEFAULT '0',
  `registered` int(10) unsigned NOT NULL,
  `total_active` int(11) NOT NULL DEFAULT '0',
  `last_active` int(11) NOT NULL,
  `lifetime_points` int(10) unsigned NOT NULL DEFAULT '0',
  `usergroup_id` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `points` mediumint(9) unsigned NOT NULL,
  `original_username` varchar(15) NOT NULL,
  `level` smallint(6) NOT NULL DEFAULT '1',
  PRIMARY KEY (`user_id`),
  KEY `rank` (`usergroup_id`),
  KEY `level` (`level`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `cg_userdata`
--

INSERT INTO `cg_userdata` (`user_id`, `today_on`, `registered`, `total_active`, `last_active`, `lifetime_points`, `usergroup_id`, `points`, `original_username`, `level`) VALUES
(1, 1, 1263174112, 20171, 1264905167, 898, 1, 898, 'username', 1),
(31, 0, 1264910487, 0, 1264910487, 30, 1, 30, 'asdf', 1),
(32, 1, 1264910523, 810, 1264913966, 208, 1, 208, 'usernameasdf', 1);

-- --------------------------------------------------------

--
-- Table structure for table `cg_usergroups`
--

CREATE TABLE IF NOT EXISTS `cg_usergroups` (
  `usergroup_id` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,
  `usergroup_name` varchar(255) NOT NULL,
  `namestyle` varchar(255) NOT NULL COMMENT 'How the name should be formatted',
  `is_banned` tinyint(3) unsigned NOT NULL COMMENT 'Either 1 or a 0',
  `is_admin` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`usergroup_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `cg_usergroups`
--

INSERT INTO `cg_usergroups` (`usergroup_id`, `usergroup_name`, `namestyle`, `is_banned`, `is_admin`) VALUES
(1, 'Registered', '{username}', 0, 0),
(2, 'Banned', '{username}', 1, 0);

-- --------------------------------------------------------

--
-- Table structure for table `cg_users`
--

CREATE TABLE IF NOT EXISTS `cg_users` (
  `user_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `username` varchar(255) NOT NULL,
  `password` char(40) NOT NULL COMMENT 'Defaults to password if entered in database. Be careful!',
  `email` varchar(255) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `email` (`email`),
  UNIQUE KEY `username` (`username`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=33 ;

--
-- Dumping data for table `cg_users`
--

INSERT INTO `cg_users` (`user_id`, `username`, `password`, `email`) VALUES
(1, 'username', '5baa61e4c9b93f3f0682250b6cf8331b7ee68fd8', 'username@password.com'),
(32, 'usernameasdf', '3da541559918a808c2402bba5012f6c60b27661c', 'asdf@dif.com'),
(31, 'asdf', '3da541559918a808c2402bba5012f6c60b27661c', 'asdf@sfdoi.com');
