<?php
/**
 * This is the file where users come to get registered.
 */

/**
 * All pages need to define the IN_CG constant in order to be accepted
 * by cg-load.php
 */
define ( 'IN_CG', true );

/**
 * Initialize the envrionment for Coal Games Project
 */
require 'cg-load.php';

/**
 * Functions for displaying errors and warnings to the user
 */
function cg_form_value($type) {
	global $cg_post;
	if ( isset ( $cg_post[$type] ) )
	return $cg_post[$type];
}
/**
 * Encapsulation for the template when retrieveing errors.
 */
function cg_form_error($type) {
	global $cg_form_errors;
	if (isset($cg_form_errors[$type]))
	return $cg_form_errors[$type];
}

/**
 * This part controls the very basic of the basic stuff
 * This should only be registration, login, and logout.
 * The section after this is for the user cp.
 *
 * This section is for the generic stuff.
 */
if ( isset ( $cg_get[$cg_url['user_get']] ) ) {
	if ( $cg_get[$cg_url['user_get']] == 'register' ) {

		if ( isset ( $cg_post['submittedregister'] ) ) {
			// The user has sent the form
			require INC_PATH . 'datahandlers/register.php';
			if (isset($cg_registration_success)) {

				if ( empty ( $cg_form_errors ) ) {
					$cg_login['username'] = $cg_post['username'];
					$cg_login['password'] = $cg_post['password1'];
					require INC_PATH . 'dologin.php';
				}
				$cg_redirect_message = 'Thank you for registering, ' . $cg_post['username'] . '.';
				$cg_query = 7; // Redirect page
			} else {
				$cg_query = 5; // Registration page
			}
		} else {
			$cg_query = 5; // Registration page
		}
	} elseif ( $cg_get[$cg_url['user_get']] == 'login' ) {

		if ( isset ( $cg_post['submittedlogin'] ) ) {
			// The user has sent the form
			require INC_PATH . 'datahandlers/login.php';
		}
		if (isset($cg_login_success)) {
			$cg_redirect_message = 'Thank you for logging in, ' . $login_result['username'] . '.'; // use $login_result because their password may have special capitalization
			$cg_query = 7; // Redirect Login page
		} else {
			$cg_query = 6; // Show the login form
		}
	} elseif ( $cg_get[$cg_url['user_get']] == 'logout' ) {

		if ( isset ( $cg_cookie[$cg_settings['cookie.session']] ) && strlen ( $cg_cookie[$cg_settings['cookie.session']] ) === 40 && preg_match ( '/^[a-z0-9]{40}$/i', $cg_cookie[$cg_settings['cookie.session']] )) {
			require INC_PATH . 'datahandlers/logout.php';
		}
		$cg_redirect_message = 'You have logged out.';
		$cg_query = 7; // Redirect Logout
	} elseif ( $cg_get[$cg_url['user_get']] == 'forgot_password' ) {
		if ( isset ( $cg_post['submittedfpass'] ) ) {
			require INC_PATH . 'datahandlers/forgot_password.php';
		}
		$cg_query = 10; // Forgot password
	} elseif ( $cg_get[$cg_url['user_get']] == 'reset_password') {
		require INC_PATH . 'datahandlers/reset_password.php';
		if ($cg_query == 0) {
			// The $cg_query has not been set yet
			$cg_query = 12;
		}
		// ELSE: The $cg_query has been set and we should leave it alone
	} else {
		// There wer no pages found and we have to display a page not found.
		$cg_query = 2; // Page Not Found
	}
} else {
	/**
	 * Now that we are done with the very basic stuff, we can go into the
	 * user_cp. First, we need to check if the user is online.
	 *
	 * This section is for the user to do various tasks
	 */
	if ( $cg_session['status'] != true ) {
		$cg_query = 6; // Login page
	} elseif ( $cg_get[$cg_url['usercp_get']] == 'usercp') {
		$cg_query = 8; // User CP
	} elseif (isset($cg_get[$cg_url['usercp_get']])) {
		if ($cg_get[$cg_url['usercp_get']] == 'change_password') {
			if (isset($cg_post['submittedcpass'])) {
				require INC_PATH . 'datahandlers/change_password.php';
				$cg_query = 9; // Changing the password
			} else {
				$cg_query = 9; // Changing the password
			}
		} elseif ($cg_get[$cg_url['usercp_get']] == 'change_email') {
			if (isset($cg_post['submittedcemail'])) {
				require INC_PATH . 'datahandlers/change_email.php';
				$cg_query = 13; // Changing the password
			} else {
				$cg_query = 13; // Changing the password
			}
		}
	} else {
		$cg_query = 6; // Show the login form
	}
}

require INC_PATH . 'template-loader.php';